import { QueryInterface } from "sequelize";

module.exports = {
  up: (queryInterface: QueryInterface) => {
    return queryInterface.bulkInsert(
      "SettingTickets",
      [
        {
          message: "",
          startTime: new Date(),
          endTime: new Date(),
          value: "disabled",
          key: "outBusinessHours",
          createdAt: new Date(),
          updatedAt: new Date()
        },
        {
          message: "",
          startTime: new Date(),
          endTime: new Date(),
          value: "disabled",
          key: "ticketExpiration",
          createdAt: new Date(),
          updatedAt: new Date()
        }
      ],
      {}
    );
  },

  down: (queryInterface: QueryInterface) => {
    return queryInterface.bulkDelete("SettingTickets", {});
  }
};
